Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453132 - Update liboil in F-8 to 0.3.14
Summary: Update liboil in F-8 to 0.3.14
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: liboil
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-27 14:27 UTC by Jeffrey C. Ollie
Modified: 2008-11-26 13:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-26 13:41:21 UTC


Attachments (Terms of Use)
rpmsodiff between earch package (deleted)
2008-06-29 10:00 UTC, Nicolas Chauvet (kwizart)
no flags Details
diff between earch copy of liboilcpu.h (deleted)
2008-06-29 10:02 UTC, Nicolas Chauvet (kwizart)
no flags Details

Description Jeffrey C. Ollie 2008-06-27 14:27:42 UTC
I would like to have liboil in F-8 updated to 0.3.14.  I would like to update
schroedinger in F-8 to version 1.0.3 which requires a newer liboil than what is
currently available in F-8.  A scratch build of liboil 0.3.14 on F-8 completed
successfully:

http://koji.fedoraproject.org/koji/taskinfo?taskID=683538

Hans, I've added you to the CC list in case this might adversely affect libvorbis.

Comment 1 Hans de Goede 2008-06-29 09:42:21 UTC
(In reply to comment #0)
> 
> Hans, I've added you to the CC list in case this might adversely affect libvorbis.

There are no significant differences between libvorbis in F-8 and F-9 so if the
new liboil is in F-9, then it should not cause any problems in F-8 either. Does
libvorbis need to be rebuild or has the liboil ABI not changed?


Comment 2 Nicolas Chauvet (kwizart) 2008-06-29 10:00:08 UTC
According to rpmsodiff, there are symbols deletion.
I don't know if theses symbols are meant to be used internally, but they are
available from the API. ( liboil/liboilcpu.h )
-oil_cpu_fault_check_disable	T
-oil_cpu_fault_check_enable	T
-oil_cpu_fault_check_try	T

Thus this seems unsafe to me. But maybe I'm wrong.


Comment 3 Nicolas Chauvet (kwizart) 2008-06-29 10:00:59 UTC
Created attachment 310532 [details]
rpmsodiff between earch package

Comment 4 Nicolas Chauvet (kwizart) 2008-06-29 10:02:46 UTC
Created attachment 310533 [details]
diff between earch copy of liboilcpu.h

Comment 5 Hans de Goede 2008-06-29 13:37:36 UTC
Erm, I just checked and libvorbis does not oil in anyway, so I'm fine with
whatever is done to liboil from that pov.


Comment 6 Bug Zapper 2008-11-26 10:55:54 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Jeffrey C. Ollie 2008-11-26 13:41:21 UTC
Since F-8 is nearing EOL I'm not going to worry about updating schroedinger.


Note You need to log in before you can comment on or make changes to this bug.